com.holonplatform.datastore.jpa.querydsl

## Interface QueryDslProperty.QueryDslPropertyBuilder<T>

- Type Parameters:
    `T` - Property type
  All Superinterfaces:
    com.holonplatform.core.Expression, com.holonplatform.core.i18n.Localizable, com.holonplatform.core.i18n.Localizable.Builder<QueryDslProperty.QueryDslPropertyBuilder<T>>, com.holonplatform.core.Path<T>, com.holonplatform.core.Path.Builder<T,QueryDslProperty.QueryDslPropertyBuilder<T>>, com.holonplatform.core.query.PathExpression<T>, com.holonplatform.core.property.PathProperty<T>, com.holonplatform.core.property.PathProperty.Builder<T,QueryDslProperty.QueryDslPropertyBuilder<T>>, com.holonplatform.core.property.Property<T>, com.holonplatform.core.property.Property.Builder<T,QueryDslProperty.QueryDslPropertyBuilder<T>>, QueryDslProperty<T>, com.holonplatform.core.query.QueryExpression<T>, com.holonplatform.core.query.QueryProjection<T>, Serializable, com.holonplatform.core.Validator.Validatable<T>
  Enclosing interface:
    QueryDslProperty<T>

      public static interface QueryDslProperty.QueryDslPropertyBuilder<T>
      extends com.holonplatform.core.property.PathProperty.Builder<T,QueryDslProperty.QueryDslPropertyBuilder<T>>, QueryDslProperty<T>

  `QueryDslProperty` builder.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.datastore.jpa.querydsl.QueryDslProperty

      `QueryDslProperty.QueryDslPropertyBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.PathProperty

      `com.holonplatform.core.property.PathProperty.Builder<T,B extends com.holonplatform.core.property.PathProperty.Builder<T,B>>, com.holonplatform.core.property.PathProperty.PathPropertyBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.Property

      `com.holonplatform.core.property.Property.PropertyAccessException, com.holonplatform.core.property.Property.PropertyNotFoundException, com.holonplatform.core.property.Property.PropertyReadException, com.holonplatform.core.property.Property.PropertyReadOnlyException, com.holonplatform.core.property.Property.PropertyWriteException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.i18n.Localizable

      `com.holonplatform.core.i18n.Localizable.LocalizableBuilder, com.holonplatform.core.i18n.Localizable.LocalizationException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Path

      `com.holonplatform.core.Path.FinalPath<T>, com.holonplatform.core.Path.PathBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `com.holonplatform.core.Expression.ExpressionResolverFunction<E extends com.holonplatform.core.Expression,R extends com.holonplatform.core.Expression>, com.holonplatform.core.Expression.InvalidExpressionException`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.Path

      `PATH_HIERARCHY_SEPARATOR`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.core.Path.Builder

      `parent`

    - ### Methods inherited from interface com.holonplatform.core.property.Property.Builder

      `configuration, configuration, converter, converter, localization, temporalType, validator`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable.Builder

      `message, messageArguments, messageCode`

    - ### Methods inherited from interface com.holonplatform.datastore.jpa.querydsl.QueryDslProperty

      `getPath, of`

    - ### Methods inherited from interface com.holonplatform.core.property.PathProperty

      `asc, avg, between, clone, contains, contains, containsIgnoreCase, count, create, create, desc, endsWith, endsWith, endsWithIgnoreCase, eq, eq, goe, goe, gt, gt, in, in, in, isNotNull, isNull, isReadOnly, loe, loe, lt, lt, max, min, neq, neq, nin, nin, nin, startsWith, startsWith, startsWithIgnoreCase, sum`

    - ### Methods inherited from interface com.holonplatform.core.property.Property

      `getConfiguration, getConvertedValue, getConverter, getType, present, render, renderIfAvailable`

    - ### Methods inherited from interface com.holonplatform.core.Validator.Validatable

      `getValidators, validate`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable

      `builder, getMessage, getMessageArguments, getMessageCode`

    - ### Methods inherited from interface com.holonplatform.core.query.PathExpression

      `from`

    - ### Methods inherited from interface com.holonplatform.core.Path

      `fullName, getName, getParent, getType, isRootPath, of, relativeName, stream`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryExpression

      `getType`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryProjection

      `getType`

Copyright © 2017 The Holon Platform. All rights reserved.